> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trunk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of quarantined tests



## OpenAPI

````yaml /openapi.json post /flaky-tests/list-quarantined-tests
openapi: 3.1.0
info:
  title: Trunk APIs
  version: 1.0.0
  license:
    name: UNLICENSED
servers:
  - url: https://api.trunk.io/v1
security: []
paths:
  /flaky-tests/list-quarantined-tests:
    post:
      summary: Get a list of quarantined tests
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                repo:
                  type: object
                  properties:
                    host:
                      type: string
                      description: >-
                        The host of the repository. For example, `github.com` or
                        `gitlab.com`. If self-hosting, this will be the hostname
                        of your instance.
                      examples:
                        - github.com
                        - gitlab.com
                        - github-enterprise.my-org-tld.com
                        - gitlab-enterprise.my-org-tld.com
                    owner:
                      type: string
                      description: >-
                        The owner of the repository. For example,
                        `my-github-org` or `my-gitlab-org/my/sub/group`. `owner`
                        for GitLab will include the GitLab org, plus the project
                        path, but excluding the repo name itself.
                      examples:
                        - my-github-org
                        - my-gitlab-org/my/sub/group
                    name:
                      type: string
                      description: The name of the repository.
                      examples:
                        - my-repo
                  required:
                    - host
                    - owner
                    - name
                  description: The repository to list tests for.
                org_url_slug:
                  type: string
                  description: >-
                    The slug of your organization. Find this at
                    https://app.trunk.io/trunk/settings under "Organization
                    Name" > "Slug"
                  examples:
                    - my-trunk-org-slug
                page_query:
                  type: object
                  properties:
                    page_size:
                      type: integer
                      minimum: 1
                      maximum: 100
                      description: The number of tests to return per page.
                    page_token:
                      type: string
                      description: >-
                        The page token to use for pagination. This is returned
                        from the previous call to this endpoint. For the first
                        page, this should be empty.
                      examples:
                        - ''
                  required:
                    - page_size
                  description: Pagination options for the list of tests.
              required:
                - repo
                - org_url_slug
                - page_query
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  quarantined_tests:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: The name of the test case.
                        parent:
                          type:
                            - string
                            - 'null'
                          description: The parent of the test case.
                        file:
                          type:
                            - string
                            - 'null'
                          description: The file of the test case.
                        classname:
                          type:
                            - string
                            - 'null'
                          description: The class name of the test case.
                        status:
                          type: string
                          enum:
                            - HEALTHY
                            - FLAKY
                            - BROKEN
                          description: The status of the test case.
                        codeowners:
                          type: array
                          items:
                            type: string
                          description: The latest codeowners of the test case.
                        quarantine_setting:
                          type: string
                          enum:
                            - ALWAYS_QUARANTINE
                            - AUTO_QUARANTINE
                          description: The quarantine setting of the test case.
                        quarantined_at:
                          type: string
                          format: date-time
                          description: >-
                            The time at which the test case was quarantined, if
                            applicable.
                        status_last_updated_at:
                          type: string
                          format: date-time
                          description: >-
                            The last time the status of the test case was
                            updated.
                        test_case_id:
                          type: string
                          description: >-
                            The ID of the test case. This value is unstable and
                            should not be relied upon.
                        variant:
                          type: string
                          description: The variant of the test case.
                      required:
                        - name
                        - parent
                        - file
                        - classname
                        - status
                        - codeowners
                        - quarantine_setting
                        - quarantined_at
                        - status_last_updated_at
                        - test_case_id
                        - variant
                      description: A quarantined test case.
                    description: A page of quarantined test cases.
                  page:
                    type: object
                    properties:
                      total_rows:
                        type: number
                        minimum: 0
                        description: The total number of test cases in the paginated list.
                      total_pages:
                        type: number
                        minimum: 0
                        description: >-
                          The total number of pages in the paginated list of
                          test cases.
                      next_page_token:
                        type: string
                        description: >-
                          The next page token to use for pagination. See
                          `page_token` in the request for more information.
                      prev_page_token:
                        type: string
                        description: >-
                          The previous page token to use for pagination. See
                          `page_token` in the request for more information.
                      last_page_token:
                        type: string
                        description: >-
                          The last page token to use for pagination. See
                          `page_token` in the request for more information.
                      page_index:
                        type: number
                        minimum: 0
                        description: >-
                          The index of the current page in the paginated list of
                          test cases.
                    required:
                      - total_rows
                      - total_pages
                      - next_page_token
                      - prev_page_token
                      - last_page_token
                      - page_index
                    description: Pagination information for the list of test cases.
                required:
                  - quarantined_tests
                  - page
        '401':
          description: Unauthorized
          content:
            application/plain-text:
              schema:
                type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-token

````